com.airbnb.android.react.maps

## Class AirMapPolylineManager

- java.lang.Object
- - <any>
  - - com.airbnb.android.react.maps.AirMapPolylineManager

    public class AirMapPolylineManager
    extends <any>

### Constructor Summary

Constructors
Constructor and Description
`AirMapPolylineManager(ReactApplicationContext reactContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AirMapPolyline` `createViewInstance(ThemedReactContext context)`
`java.lang.String` `getName()`
`void` `setCoordinate(AirMapPolyline view, ReadableArray coordinates)`
`void` `setGeodesic(AirMapPolyline view, boolean geodesic)`
`void` `setStrokeColor(AirMapPolyline view, int color)`
`void` `setStrokeWidth(AirMapPolyline view, float widthInPoints)`
`void` `setZIndex(AirMapPolyline view, float zIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AirMapPolylineManager

    public AirMapPolylineManager(ReactApplicationContext reactContext)

### Method Detail

#### getName

    public java.lang.String getName()

#### createViewInstance

    public AirMapPolyline createViewInstance(ThemedReactContext context)

#### setCoordinate

    public void setCoordinate(AirMapPolyline view,
                              ReadableArray coordinates)

#### setStrokeWidth

    public void setStrokeWidth(AirMapPolyline view,
                               float widthInPoints)

#### setStrokeColor

    public void setStrokeColor(AirMapPolyline view,
                               int color)

#### setGeodesic

    public void setGeodesic(AirMapPolyline view,
                            boolean geodesic)

#### setZIndex

    public void setZIndex(AirMapPolyline view,
                          float zIndex)